#!/bin/bash
# GPL V3
# v1.1a higuita@gmx.net 2010-06-12

# create the config for a new windows backup in backuppc

#set -x
if [ -z $1 ] ; then 
	echo new-pc.sh [hostname]
	echo new-pc.sh [hostname] -f 
	echo "(force install)"
	exit 1
fi
force=0
if [ ! -z $2 ] ; then 
	force=1
fi

i=`echo $1 | tr [A-Z] [a-z] `

cd /root/windows ||  exit 2
test -f /etc/backuppc/$i.pl &&  echo $i ja existe && exit 3 

os=0
nmap -O -p 22,445 $i 2>/dev/null |grep -i "Running .*vista\|200" >/tmp/OS.txt && os=1

if [ $os -eq 1 ] || [ $force -eq 1 ]; then

	echo "$i	0	dleite	windows" >> /etc/backuppc/hosts
	cp -i  /etc/backuppc/+template+.pl /etc/backuppc/$i.pl 
	chown backuppc:www-data  /etc/backuppc/$i.pl

#	nano /etc/backuppc/$i.pl

	./install-pc.sh $i
	/etc/init.d/backuppc reload
else
	echo "$i - not installing, bad OS or offline"
	cat /tmp/OS.txt
fi
