#!/bin/bash
# v1.1 2010-08-16
WINEXE=/etc/backuppc/bin/winexe
UNAME="backup-admin"
PWD="password"
WRKGRP="domain"
BOX=$1
# workaround high CPU usage when no terminal allocated when running winexe
# winexe loops trying to read from stdin, bug 3047190 in http://winexe.sourceforge.net
# as winexe have a terminal inside screen, it exists successful without eating the cpu
# for debug, add -L for log, and logfile /tmp/screen to the /etc/screenrc
# winexe also takes the -d (number) -l /tmp/winexe.log for debug, if needed
screen -S $BOX -D -m $WINEXE --interactive=0 --ostype=2 -U $UNAME -W $WRKGRP --password=$PWD //$BOX 'cmd /c echo '1' > c:\admin\backuppc\wake.up'
echo "Rsync and shadow copy unloaded"

